RPL(1)

NAME
rpl - replace strings in files

DESCRIPTION
Basic usage is to specify two strings and one or more filenames or directories on the command line. The first string is the string to replace, and the second string is the replacement string.

usage: rpl [-h] [--version] [--encoding ENCODING] [-i] [-w] [-b] [-q] [-v]

    [-s] [-e] [-p] [-f] [-d] [-a] OLD-TEXT NEW-TEXT FILE [FILE ...]

Search and replace text in files.

  positional arguments:

    OLD-TEXT NEW-TEXT FILE

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

--encoding ENCODING
    specify character set encoding

-i, --ignore-case
    match case-insensitively

-w, --whole-words
    whole words (OLD-TEXT matches on word boundaries only)

-b, --backup
    rename original file to file~ before replacing

-q, --quiet
    quiet mode

-v, --verbose
    verbose mode

-s, --dry-run
    simulation mode

-e, --escape
    expand escapes in OLD-TEXT and NEW-TEXT

-p, --prompt
    prompt before modifying each file

-f, --force
    ignore errors when trying to preserve permissions

-d, --keep-times
    keep the modification times on modified files

-a, --hidden-files
    process hidden files and directories (starting with a period)

EXAMPLES
Replace all occurrences of ‘F’ (on word boundaries) with ‘A’ in all text files under the grades/ directory:

    find grades/ -name '*.txt' | xargs rpl -wd 'F' 'A'

AUTHOR
Written by Göran Weinholt and Reuben Thomas.

COPYRIGHT
Copyright © 2004-2005 Göran Weinholt <weinholt@debian.org>
Copyright © 2004 Christian Häggström <chm@c00.info>
Copyright © 2016 Kevin Coyner <kcoyner@debian.org>
Copyright © 2017 Jochen Kupperschmidt <homework@nwsnet.de>
Copyright © 2018-2019 Reuben Thomas <rrt@sc3d.org>

rpl comes with ABSOLUTELY NO WARRANTY. You may redistribute copies of rpl under the terms of the GNU General Public License. For more information about these matters, see the file named COPYING.

This program was written for Debian as a free replacement for the non-free rpl program by Joe Laffey.

SEE ALSO
find(1), sed(1).